@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Poppins", sans-serif;
    /* font-family: Arial, Helvetica, sans-serif; */
    /* background: #333; */

}

.logo {
    width: 100px;
}

header {
    position: absolute;
    z-index: 101;
    padding: 0.9rem 0;
    top: 0;
    left: 0;
    width: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

header nav {
    max-width: 1000px;
    margin: 0 auto;
    padding: 0.2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header ul {
    display: flex;
    list-style: none;
    align-items: center;

}

header ul a {
    color: white;
    text-decoration: none;
    padding: 1.5rem;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 0.83rem;
}

.hamburger a {
    margin-left: 1.5rem;
    padding: 0px;
    width: 37px;
    height: 37px;
    background: rgba(115, 115, 115, 0.7);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    -webkit-backdrop-filter: blur(10px);
}

.hamburger .bar {
    width: 52%;
    height: 1.3px;
    background-color: #fff;
    border-radius: 2px;
    position: relative;
}

.hamburger .bar::before,
.hamburger .bar::after {
    content: "";
    position: absolute;
    width: 60%;
    height: 100%;
    background: inherit;
    border-radius: 2px;
    left: 50%;
    transform: translate(-50%);
}

.hamburger .bar::before {
    top: -4.5px;
}

.hamburger .bar::after {
    top: 4.5px;
}

main {
    background: #333;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    position: relative;
}

.bg-img {
    position: absolute;
    width: 2400px;
    top: calc(50% - 280px);
    left: calc(50% + 10px);
    z-index: 1;
}

.m6 {
    position: absolute;
    width: 460px;
    top: calc(50% - -165px);
    left: calc(50% + 600px);
    z-index: 2;
}

.fog-7 {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 50%;
    z-index: 3;
    /* border: 1px solid black; */
}

.m52c {
    position: absolute;
    width: 310px;
    top: calc(50% - -197px);
    left: calc(50% + 169px);
    z-index: 6;
}

.fog-6 {
    position: absolute;
    width: 130%;
    top: calc(50% - -211px);
    left: calc(50% + -40px);
    z-index: 7;
    /* border: 1px solid black; */
}

.m4 {
    position: absolute;
    width: 300px;
    top: calc(50% - -111px);
    left: calc(50% + 471px);
    z-index: 8;
}

.m51 {
    position: absolute;
    width: 600px;
    top: calc(50% - -142px);
    left: calc(50% + -259px);
    z-index: 9;
}

.fog-4 {
    position: absolute;
    width: 65%;
    top: calc(50% - -87px);
    left: calc(50% - 288px);
    z-index: 10;
    /* border: 1px solid black; */
}

.fog-5 {
    position: absolute;
    width: 45%;
    top: calc(50% - -87px);
    left: calc(50% - -530px);
    z-index: 11;
    /* border: 1px solid black; */
}

.m7 {
    position: absolute;
    width: 445px;
    top: calc(50% - -245px);
    left: calc(50% + 110px);
    z-index: 12;
}

.fog-3 {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 50%;
    z-index: 13;
    /* border: 1px solid black; */
}

.logo-main {
    position: absolute;
    /* width: 670px; */
    top: calc(50% - 53px);
    left: 50%;
    z-index: 14;
    transform: translate(-50%, -50%);
    /* border: 1px solid black; */
}

.logo-main h1 {
    color: white;
    font-size: 160px;
    font-weight: bold;
}

.m2 {
    position: absolute;
    width: 470px;
    top: calc(50% - -55px);
    left: calc(50% + -464px);
    z-index: 15;
}

.m1 {
    position: absolute;
    width: 374px;
    top: calc(50% - -212px);
    left: calc(50% + -270px);
    z-index: 16;
}

.m3 {
    position: absolute;
    width: 370px;
    top: calc(50% - -200px);
    left: calc(50% + 358px);
    z-index: 16;
}

.black-shadow {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    /* transform: translate(-50%, -50%); */
    z-index: 17;
    pointer-events: none;
}

.sun-rays {
    position: absolute;
    height: 100%;
    top: 0;
    right: 0;
    /* transform: translate(-50%, -50%); */
    z-index: 18;
    pointer-events: none;
    /* border: 1px solid black; */
}

/* .fog-1 {
    position: absolute;
    bottom: 0;
    left: 0;
    /* transform: translate(-50%, -50%); *
    z-index: 19;
    user-select: none;
    /* border: 1px solid black; *
    width: 100%;
} */

.vignette {
    position: absolute;
    z-index: 100;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: radial-gradient(ellipse at center, rgba(0, 0, 0, 0) 65%, rgba(0, 0, 0, 0.7) 100%);
    pointer-events: none;
}
nav h1 a {
    text-transform: uppercase;
    color: white;
    font-weight: bold;
    text-decoration: none;
}
.parallax {
    pointer-events: none;
    /* transition: 0.45s cubic-bezier(0.2, 0.49, 0.32, 0.99); */
}